/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {ZonePublicRequest} from "./zonePublicRequest";
import {FloorPublicRequest} from "./floorPublicRequest";
import {FloorPlanPublicRequest} from "./floorPlanPublicRequest";
import {WorkerPublicRequest} from "./workerPublicRequest";
import {PointF} from "./pointF";

export class ExitEventPublicRequest {
    public zone: ZonePublicRequest;

    public timeStamp: string;

    public floor: FloorPublicRequest;

    public floorPlan: FloorPlanPublicRequest;

    public worker: WorkerPublicRequest;

    public position: PointF;

    /**
     * Creates a ExitEventPublicRequest.
     *
     * @param {ZonePublicRequest} zone
     * @param {string} timeStamp
     * @param {FloorPublicRequest} floor
     * @param {FloorPlanPublicRequest} floorPlan
     * @param {WorkerPublicRequest} worker
     * @param {PointF} position
     */
    constructor(zone: ZonePublicRequest, timeStamp: string, floor: FloorPublicRequest, floorPlan: FloorPlanPublicRequest, worker: WorkerPublicRequest, position: PointF) {
        this.zone = zone;
        this.timeStamp = timeStamp;
        this.floor = floor;
        this.floorPlan = floorPlan;
        this.worker = worker;
        this.position = position;
    }
}